Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AudioMediaType

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AudioMediaType

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AudioMediaType

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Audio Media Type', and utility methods for working with them. abstDomain: V14835 (C-0-D14824-V14835-cpt)

See Also:
  `CDAR2Package.getAudioMediaType()`

Field Summary
`static int` | `AUDIO_BASIC` The 'Audio Basic' literal value.
`static AudioMediaType` | `AUDIO_BASIC_LITERAL` The 'Audio Basic' literal object.
`static int` | `AUDIO_K3_2ADPCM` The 'Audio K3 2adpcm' literal value.
`static AudioMediaType` | `AUDIO_K3_2ADPCM_LITERAL` The 'Audio K3 2adpcm' literal object.
`static int` | `AUDIO_MPEG` The 'Audio Mpeg' literal value.
`static AudioMediaType` | `AUDIO_MPEG_LITERAL` The 'Audio Mpeg' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Audio Media Type' enumerators.

Method Summary
`static AudioMediaType` | `get(int value)` Returns the 'Audio Media Type' literal with the specified integer value.
`static AudioMediaType` | `get(java.lang.String literal)` Returns the 'Audio Media Type' literal with the specified literal value.
`static AudioMediaType` | `getByName(java.lang.String name)` Returns the 'Audio Media Type' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AUDIO_BASIC

    public static final int AUDIO_BASIC

  The 'Audio Basic' literal value.

  If the meaning of 'Audio Basic' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUDIO_BASIC_LITERAL`, Constant Field Values

### AUDIO_K3_2ADPCM

    public static final int AUDIO_K3_2ADPCM

  The 'Audio K3 2adpcm' literal value.

  If the meaning of 'Audio K3 2adpcm' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUDIO_K3_2ADPCM_LITERAL`, Constant Field Values

### AUDIO_MPEG

    public static final int AUDIO_MPEG

  The 'Audio Mpeg' literal value.

  If the meaning of 'Audio Mpeg' literal object isn't clear, there really should be more of a description here...

  See Also:
    `AUDIO_MPEG_LITERAL`, Constant Field Values

### AUDIO_BASIC_LITERAL

    public static final AudioMediaType AUDIO_BASIC_LITERAL

  The 'Audio Basic' literal object.

  See Also:
    `AUDIO_BASIC`

### AUDIO_K3_2ADPCM_LITERAL

    public static final AudioMediaType AUDIO_K3_2ADPCM_LITERAL

  The 'Audio K3 2adpcm' literal object.

  See Also:
    `AUDIO_K3_2ADPCM`

### AUDIO_MPEG_LITERAL

    public static final AudioMediaType AUDIO_MPEG_LITERAL

  The 'Audio Mpeg' literal object.

  See Also:
    `AUDIO_MPEG`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Audio Media Type' enumerators.

Method Detail

### get

    public static AudioMediaType get(java.lang.String literal)

  Returns the 'Audio Media Type' literal with the specified literal value.

### getByName

    public static AudioMediaType getByName(java.lang.String name)

  Returns the 'Audio Media Type' literal with the specified name.

### get

    public static AudioMediaType get(int value)

  Returns the 'Audio Media Type' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD